Requests the seller inventory data for a SCX seller/account.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/inventory-requests \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/inventory-requests"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/inventory-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reportId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}wawi
Requests the seller inventory data for a SCX seller/account.
POST
/
v2
/
sales-channels
/
scx
/
sellers
/
{salesChannelId}
/
inventory-requests
Requests the seller inventory data for a SCX seller/account.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
Sales channel id of the SCX seller/account to request the inventory data for.
Response
The inventory report request was queued.
Requests the seller inventory data for a SCX seller/account. Queues the report request and returns its report id synchronously. - Response
Id of the queued inventory report request.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?
⌘I